package ink.wgink.service.permission.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: PermissionRouteController
 * @Description: 权限路由
 * @Author: wanggeng
 * @Date: 2021/2/17 10:45 上午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "权限路由接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/permission")
public class PermissionRouteController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("permission/save");
    }

    @GetMapping("save-quick")
    public ModelAndView saveQuick() {
        return new ModelAndView("permission/save-quick");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("permission/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("permission/list");
    }

}
